Subject: Font lock decoration levels mismatch?

From: Derick Eddington <[email-masked]>
Date: Wed, 10 Dec 2008 11:51:33 -0800

I'm using:
GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.14.3) of
2008-10-13 on rothera, modified by Debian

The documentation at "23.6.1 Font Lock Basics" and "23.6.5 Levels of
Font Lock" refers to level numbers starting at 1, but when I customize
the level for a specific mode (one I'm still developing) the number
given to Customize is 0-based not 1-based; i.e., my `font-lock-defaults'
`KEYWORDS' member is like `(level-1 level-2 level-3 level-4)' and, e.g.,
to make Customize use level-3 I have to tell it the number 2.  Should
Customize do 1-based indexing instead so it corresponds to the
documentation, or the documentation use 0-based?

-- 
: Derick
----------------------------------------------------------------